/{organizationId}/{mandateId}/booking/events/{eventId}/rates/{rateId}Delete event rate
Deletes a specific rate for a specific event for a given mandate
Required permissions:
mandate.read
event.edit
Path Parameters
organizationIdstringrequired mandateIdstringrequired eventIdstringrequired rateIdstringrequired minLength: 8
maxLength: 8
Query Parameters
applyToFutureEventsbooleanoptional Default: false
Authentication: X-API-Key
Request
curl --request DELETE 'https://cloud.campai.com/api/{organizationId}/{mandateId}/booking/events/{eventId}/rates/{rateId}' \
--header 'X-API-Key: YOUR_API_KEY'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
Response
{
"updated": [
"000000000000000000000001"
]
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}404Not found
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}